Loading...
Searching...
No Matches
XrdCl::ArgBase< T >::ValueHolder Struct Referenceabstract

Abstract class for holding a value. More...

`#include <XrdClArg.hh>`

Inheritance diagram for XrdCl::ArgBase< T >::ValueHolder:
Collaboration diagram for XrdCl::ArgBase< T >::ValueHolder:

## Public Member Functions

virtual | ~ValueHolder ()
| Virtual Destructor (important ;-).
virtual T & | Get ()=0

## Detailed Description

template<typename T>
struct XrdCl::ArgBase< T >::ValueHolder

Abstract class for holding a value.

Definition at line 115 of file XrdClArg.hh.

## Constructor & Destructor Documentation

## ~ValueHolder()

template<typename T>

virtual XrdCl::ArgBase< T >::ValueHolder::~ValueHolder | ( |  | ) |

inline virtual

Virtual Destructor (important ;-).

Definition at line 120 of file XrdClArg.hh.

{
}

## Member Function Documentation

## Get()

template<typename T>

virtual T & XrdCl::ArgBase< T >::ValueHolder::Get | ( |  | ) |

pure virtual

Returns
  : the value

Implemented in XrdCl::ArgBase< T >::FutureValue, XrdCl::ArgBase< T >::FwdValue, and XrdCl::ArgBase< T >::PlainValue.

The documentation for this struct was generated from the following file:

- XrdClArg.hh